import { PaginatedProductResult, Product } from '@cxcloud/ct-types/products';
import { QueryOptions } from '@cxcloud/ct-types/common';
export declare namespace Products {
    function findByCategoryId(categoryId: string, options?: QueryOptions): Promise<PaginatedProductResult>;
    function findBySearchQuery(q: string, language?: string, options?: QueryOptions): Promise<PaginatedProductResult>;
    function findById(productId: string): Promise<Product>;
}
